SUBDIRS = build_tools icons images templates

EXTRA_DIST =
CLEANFILES =
DISTCLEANFILES =

# Application data files
dist_pkgdata_DATA =	\
	completion.xml	\
	latexhelp.html

# *.desktop file
# Not translated, because with the standard way to translate it with gettext
# (not intltool), the translatable strings are not marked as such, with an
# underscore for example. It's implicit. I strongly prefer an explicit way.
# TODO: find a better way to translate again the *.desktop file.
desktopdir = $(datadir)/applications
dist_desktop_DATA = org.gnome.gnome-latex.desktop

# AppData
# Not translated, same problem as for the *.desktop file.
# TODO: find a better way to translate again the AppData file.
appstream_XML = org.gnome.gnome-latex.appdata.xml
@APPSTREAM_XML_RULES@
EXTRA_DIST += org.gnome.gnome-latex.appdata.xml

# GSettings schema
gsettings_SCHEMAS = org.gnome.gnome-latex.gschema.xml
@GSETTINGS_RULES@
EXTRA_DIST += org.gnome.gnome-latex.gschema.xml.in
DISTCLEANFILES += org.gnome.gnome-latex.gschema.xml

# D-Bus service file
dbusservicedir = $(datadir)/dbus-1/services
dbusservice_DATA = org.gnome.gnome-latex.service

org.gnome.gnome-latex.service: Makefile
	$(AM_V_GEN) (echo '[D-BUS Service]'; \
		     echo 'Name=org.gnome.gnome-latex'; \
		     echo 'Exec=${bindir}/gnome-latex --gapplication-service') > $@.tmp && \
		     mv $@.tmp $@

CLEANFILES += org.gnome.gnome-latex.service

-include $(top_srcdir)/git.mk
